FROM node:16-alpine

RUN apk update && apk upgrade && apk add bash

ADD frontend-react/package.json /package.json


ENV NODE_PATH=/node_modules
ENV PATH=$PATH:/node_modules/.bin

RUN yarn

WORKDIR /app
ADD frontend-react/ /app

EXPOSE 3000
EXPOSE 35729

ENTRYPOINT ["/bin/bash", "/app/run.sh"]
CMD ["start"]